Bug 385314 - Exit Full Screen button needs text, like Kate's button has
Summary: Exit Full Screen button needs text, like Kate's button has
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 17.08.1
Platform: Other Linux
: HI wishlist (vote)
Target Milestone: ---
Assignee: Nate Graham
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2017-10-03 02:07 UTC by Nate Graham
Modified: 2020-03-17 19:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.04.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2017-10-03 02:07:22 UTC
When you enter full screen in Kate, the button in the top-left corner that lets you leave full screen mode has text; it says "Exit Full Screen." Gwenview's button has no such text, which impedes its discoverability, as evidenced by me watching my wife try to figure out how to exit full screen mode today when she entered it by accident.

Implementation-wise, this would probably require also giving text to the Configure button below it, which wouldn't be the worst thing in the world since that button is likewise pretty inscrutable.
Comment 1 Huon 2018-03-10 06:50:06 UTC
Fullscreen mode has been changed in the master branch, making it sync with KWin's fullscreen, and pressing Escape exits fullscreen. The latter change I think mitigates the problem with discoverability.
Comment 2 Nate Graham 2018-03-12 03:06:10 UTC
At the moment, it's sort of pointless since the button isn't even visible by default. But I feel very strongly that any app with a full screen mode needs a *visible* means to leave the mode. I've seen normal users absolutely *panic* when they enter full screen mode and realize they don't know how to leave it. It's a serious issue.
Comment 3 Huon 2018-03-13 01:58:19 UTC
Fullscreen doubles as a slideshow though. I don't think any app has UI visible in fullscreen/slideshow mode. I think Escape to exit fullscreen is pretty standard.
Comment 4 null 2018-03-17 23:05:01 UTC
> Gwenview's button has no such text, which impedes its discoverability
That's a good point.

> Fullscreen doubles as a slideshow though. I don't think any app has UI
> visible in fullscreen/slideshow mode.
True, we cannot show it permanently in fullscreen View mode.

The standard behaviour to help users discover the shortcut in browsers is to show an overlay message upon entering fullscreen. We do something similar by showing the top bar briefly, although by nature this does not highlight the button itself that much (and _another_ overlay message would be annoying, I guess).

Briefly testing with changing the icon to "window-close" or "application-exit" which are coloured bright red does result in much better visibility indeed. However, they are overpowering the actual purpose of the fullscreen mode, i.e. showing the thumbnails and the image, and might be confused with a close button operating on the toolbar only. Also, they do not correspond well to the action used when entering fullscreen.

---

Anyway, I have more ideas for some rework in this area, won't be done in time for 18.04, though. Stay tuned ;)
Comment 5 Nate Graham 2020-03-15 03:51:41 UTC
Here's a patch for this: https://phabricator.kde.org/D28052
Comment 6 Nate Graham 2020-03-17 19:00:35 UTC
Git commit 435d2ad1b250b81fed19ef9b796c97d240ad4875 by Nate Graham.
Committed on 17/03/2020 at 19:00.
Pushed by ngraham into branch 'release/20.04'.

Give Exit Full Screen and Configure buttons text and adjust wording

Summary:
Unlike Kate, Gwenview's {nav Exit Full Screen} button is icons-only, impeding
discoverability. This patch shows its action's text, and adjusts that text to be more
consistent with the typical wording.

In the process, the button below it is also given visible text to avoid making it look
odd in its layout.

To accomplish this technically, the `FullScreenToolBar` class's `addAction()` function
is given a new optional parameter for specifying if and where the button's text should
appear, which is then used to give the aforementioned buttons visible text according to
the user's toolbutton text display preferences. The actions are also no longer marked
with the Low Priority status, which forces them to be always icons-only and was
previously redundant since icons-only status was forced in a different way. Fixed now.
FIXED-IN: 20.04.0

Test Plan: {F8176526}

Reviewers: #gwenview, #vdg, broulik

Reviewed By: broulik

Tags: #gwenview

Differential Revision: https://phabricator.kde.org/D28052

M  +5    -5    app/fullscreencontent.cpp
M  +1    -2    app/mainwindow.cpp

https://commits.kde.org/gwenview/435d2ad1b250b81fed19ef9b796c97d240ad4875